## lxqt-admin 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-admin)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Set default installation paths
set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")

find_package(Qt5Widgets REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)
find_package(KF5WindowSystem REQUIRED QUIET)

find_package(PkgConfig)
pkg_check_modules(OOBS REQUIRED
    glib-2.0
    liboobs-1
)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(lxqt-admin-time)
add_subdirectory(lxqt-admin-user)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== lxqt-admin-time/CMakeLists.txt ===
project(lxqt-admin-time)

# build static helper class first
include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${OOBS_INCLUDE_DIRS}
)

set ( lxqt-admin-time_HDRS
    timeadmindialog.h
    datetime.h
    timezone.h
)

set ( lxqt-admin-time_SRCS
    main.cpp
    timeadmindialog.cpp
    datetime.cpp
    timezone.cpp
)

set ( lxqt-admin-time_MOCS
    timeadmindialog.h
    datetime.h
    timezone.h
)

set( lxqt-admin-time_UIS
    datetime.ui
    timezone.ui
)

qt5_wrap_cpp(MOCS ${lxqt-admin-time_MOCS})
qt5_wrap_ui(UIS ${lxqt-admin-time_UIS})

# Translations **********************************
lxqt_translate_ts(lxqt-admin-time_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${lxqt-admin-time_HDRS}
    ${lxqt-admin-time_SRCS}
    ${lxqt-admin-time_UIS}
    INSTALL_DIR
    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    lxqt-admin-time.desktop.in
)

lxqt_app_translation_loader(lxqt-admin-time_QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-admin-time
    ${lxqt-admin-time_SRCS}
    ${UIS}
    ${MOCS}
    ${DESKTOP_FILES}
    ${lxqt-admin-time_QM_FILES}
    ${lxqt-admin-time_QM_LOADER}
)

target_link_libraries(lxqt-admin-time
    KF5::WindowSystem
    Qt5::Widgets
    lxqt
    ${OOBS_LIBRARIES}
)

install(TARGETS lxqt-admin-time RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

=== lxqt-admin-user/CMakeLists.txt ===
project(lxqt-admin-user)

# build static helper class first
include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${OOBS_INCLUDE_DIRS}
)

set ( lxqt-admin-user_SRCS
    main.cpp
    mainwindow.cpp
    userdialog.cpp
    groupdialog.cpp
)

set ( lxqt-admin-user_MOCS
    mainwindow.h
    userdialog.h
    groupdialog.h
)

set( lxqt-admin-user_UIS
    mainwindow.ui
    userdialog.ui
    groupdialog.ui
)

qt5_wrap_cpp(MOCS ${lxqt-admin-user_MOCS})
qt5_wrap_ui(UIS ${lxqt-admin-user_UIS})

# Translations **********************************
lxqt_translate_ts(lxqt-admin-user_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${lxqt-admin-user_MOCS}
    ${lxqt-admin-user_SRCS}
    ${lxqt-admin-user_UIS}
    INSTALL_DIR
    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    lxqt-admin-user.desktop.in
)
lxqt_app_translation_loader(lxqt-admin-user_QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-admin-user
    ${lxqt-admin-user_SRCS}
    ${UIS}
    ${MOCS}
    ${DESKTOP_FILES}
    ${lxqt-admin-user_QM_FILES}
    ${lxqt-admin-user_QM_LOADER}
)

target_link_libraries(lxqt-admin-user
    KF5::WindowSystem
    Qt5::Widgets
    lxqt
    ${OOBS_LIBRARIES}
)

install(TARGETS lxqt-admin-user RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

=== debian/changelog ===
lxqt-admin (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 18:05:24 +0100

lxqt-admin (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set minimum versions for liblxqt and libqtxdg.
  * Removed unused Breaks/Replaces.
  * Added upstream signing key and use it in watch file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 16 Nov 2015 23:51:18 +0800

lxqt-admin (0.9.0+20150807-2) unstable; urgency=medium

  * Fixed czchens mail address
  * Cleanup debian/control
  * Reduced dependencies in debian/rules 

 -- Alf Gaida <agaida@siduction.org>  Tue, 10 Nov 2015 20:10:21 +0100

lxqt-admin (0.9.0+20150807-1) unstable; urgency=medium

  [ Alf Gaida ]
  * add initial debian files.
  * Initial release (Closes: #765773)
  * added missed dh_strip.
  * remove multiarch from debug package fix install for regular package.
  * fixes debian-lxqt/lxqt-admin #1.
  * new release pacakges renamed introduced transitional packages debian
    $foo fixed.
  * Some cleanup in debian $foo.
  * some changes in debian $foo.
  * typo in debian/control: Replace -> Replaces.
  * faulty merge - second Replaces removed.
  * drop metapackages.
  * Imported Upstream version 0.8.0.
  * bump to current standards 3.9.6.
  * min Qt version 5.3.2.
  * remove build dependency libegl1-mesa-dev, as the Qt-bug because the
    lib was in is resolved with 5.3.2.
  * added lintian-overrides for man-pages.
  * added lintian-overrides for category.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150807.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.
  * Remove useless whitespaces and warp long lines.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Aug 2015 01:49:08 +0800

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               liboobs-1-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-admin.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-admin.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-admin/releases .*/([\d\.]+).tar.gz

## lxqt-admin 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,6 @@
 find_package(Qt5Widgets REQUIRED QUIET)
 find_package(lxqt REQUIRED QUIET)
 find_package(KF5WindowSystem REQUIRED QUIET)
-
-find_package(PkgConfig)
-pkg_check_modules(OOBS REQUIRED
-    glib-2.0
-    liboobs-1
-)
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslate)

=== lxqt-admin-user/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # build static helper class first
 include_directories (
     ${CMAKE_CURRENT_BINARY_DIR}
-    ${OOBS_INCLUDE_DIRS}
 )
 
 set ( lxqt-admin-user_SRCS
@@ -11,12 +10,14 @@
     mainwindow.cpp
     userdialog.cpp
     groupdialog.cpp
+    usermanager.cpp
 )
 
 set ( lxqt-admin-user_MOCS
     mainwindow.h
     userdialog.h
     groupdialog.h
+    usermanager.h
 )
 
 set( lxqt-admin-user_UIS
@@ -37,6 +38,16 @@
     ${lxqt-admin-user_UIS}
     INSTALL_DIR
     "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-admin/${PROJECT_NAME}"
 )
 
 lxqt_translate_desktop(DESKTOP_FILES
@@ -59,8 +70,17 @@
     KF5::WindowSystem
     Qt5::Widgets
     lxqt
-    ${OOBS_LIBRARIES}
 )
 
 install(TARGETS lxqt-admin-user RUNTIME DESTINATION bin)
 install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+
+# for policykit
+# manpage for pcmanfm-qt
+configure_file(
+    "org.lxqt.lxqt-admin-user.policy.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy"
+    @ONLY
+)
+install(PROGRAMS "lxqt-admin-user-helper" DESTINATION bin)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy" DESTINATION "share/polkit-1/actions")

=== debian/changelog ===
lxqt-admin (0.11.0-2) unstable; urgency=medium

  * Cherry-picking new upstream version 0.11.0
  * Synced debian foo with experimental
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Removed build dependency liboobs-1-dev
  * Added recommends lxqt-admin-l10n
  * Added a lintian-override for lxqt-admin-user-helper
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed VCS-Fields, use https
  * Bumped copyright years
  * Added hardening to rules
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added README.md to docs

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 01:54:42 +0200

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-admin.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-admin.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-admin-l10n
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

## lxqt-admin 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-admin)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Set default installation paths
set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")

find_package(Qt5Widgets REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)
find_package(KF5WindowSystem REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

if(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-user")
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-time")
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    add_subdirectory(lxqt-admin-user)
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-time")
else()
    add_subdirectory(lxqt-admin-user)
    add_subdirectory(lxqt-admin-time)
endif()

=== debian/changelog ===
lxqt-admin (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Recommend lxqt-qtplugin (Closes: #866233)
  * Recommend lxqt-policykit (Closes: #866684)

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Jun 2017 23:04:11 +0200

lxqt-admin (0.11.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.11.1
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Fixed d/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 12:11:04 +0100

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-admin.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-admin.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-admin-l10n,
            lxqt-qtplugin,
            lxqt-policykit
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

## lxqt-admin 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,19 @@
 # Set default installation paths
 set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")
 
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(lxqt REQUIRED QUIET)
-find_package(KF5WindowSystem REQUIRED QUIET)
+find_package(Qt5Widgets REQUIRED)
+find_package(lxqt REQUIRED)
+find_package(KF5WindowSystem REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_ADMIN_PATCH_VERSION 0)
+
+set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
+add_definitions("-DLXQT_ADMIN_VERSION=\"${LXQT_ADMIN_VERSION}\"")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslate)

=== lxqt-admin-time/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 # build static helper class first
 include_directories (
     ${CMAKE_CURRENT_BINARY_DIR}
-    ${OOBS_INCLUDE_DIRS}
 )
 
 set ( lxqt-admin-time_HDRS
     timeadmindialog.h
     datetime.h
     timezone.h
+    timedatectl.h
 )
 
 set ( lxqt-admin-time_SRCS
@@ -17,6 +17,7 @@
     timeadmindialog.cpp
     datetime.cpp
     timezone.cpp
+    timedatectl.cpp
 )
 
 set ( lxqt-admin-time_MOCS
@@ -42,6 +43,16 @@
     ${lxqt-admin-time_UIS}
     INSTALL_DIR
     "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-admin/${PROJECT_NAME}"
 )
 
 lxqt_translate_desktop(DESKTOP_FILES
@@ -64,8 +75,8 @@
 target_link_libraries(lxqt-admin-time
     KF5::WindowSystem
     Qt5::Widgets
+    Qt5::DBus
     lxqt
-    ${OOBS_LIBRARIES}
 )
 
 install(TARGETS lxqt-admin-time RUNTIME DESTINATION bin)

=== lxqt-admin-user/CMakeLists.txt ===
--- 
+++ 
@@ -82,5 +82,10 @@
     "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy"
     @ONLY
 )
-install(PROGRAMS "lxqt-admin-user-helper" DESTINATION bin)
+
+if(${CMAKE_SYSTEM_NAME} MATCHES  "FreeBSD")
+    install(PROGRAMS "lxqt-admin-user-helper.freebsd" DESTINATION bin RENAME lxqt-admin-user-helper)
+else()
+    install(PROGRAMS "lxqt-admin-user-helper.default" DESTINATION bin RENAME lxqt-admin-user-helper)
+endif()
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy" DESTINATION "share/polkit-1/actions")

=== debian/changelog ===
lxqt-admin (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 18:02:38 +0100

lxqt-admin (0.12.0-3) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 21:20:46 +0100

lxqt-admin (0.12.0-2) experimental; urgency=medium

  * Pick up the right versions (fixed liblxqt and lxqt-build-tools) 

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 19:49:42 +0200

lxqt-admin (0.12.0-1) experimental; urgency=medium

  * Cherry-picking new upstream version 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt to >= 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 23:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-admin.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-admin.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-admin.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-admin.git
 Homepage: https://github.com/lxde/lxqt-admin
 
 Package: lxqt-admin

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-admin/releases .*/lxqt-admin-([\d\.]+).tar.xz

## lxqt-admin 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 find_package(Qt5Widgets REQUIRED)
 find_package(lxqt REQUIRED)
 find_package(KF5WindowSystem REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
@@ -21,6 +22,7 @@
 set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
 add_definitions("-DLXQT_ADMIN_VERSION=\"${LXQT_ADMIN_VERSION}\"")
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslate)

=== lxqt-admin-user/CMakeLists.txt ===
--- 
+++ 
@@ -88,4 +88,4 @@
 else()
     install(PROGRAMS "lxqt-admin-user-helper.default" DESTINATION bin RENAME lxqt-admin-user-helper)
 endif()
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy" DESTINATION "share/polkit-1/actions")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-user.policy" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")

=== debian/changelog ===
lxqt-admin (0.13.0-2~mx17+2) mx; urgency=medium

  * Version liblxqt0 dependency

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 15 Apr 2019 14:32:00 -0400

lxqt-admin (0.13.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:33:47 -0700

lxqt-admin (0.13.0-2) unstable; urgency=medium

  * Fixed language in desktop file (ported back from upstream)

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 19:56:09 +0200

lxqt-admin (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Added build dependency libpolkit-qt5-1-dev

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 20:30:33 +0200

lxqt-admin (0.12.0-5) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed Homepage, Source and watch to lxqt
  * Changed VCS fields to salsa
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 23:35:26 +0200

=== debian/control ===
Source: lxqt-admin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: liblxqt0 (>= 0.13.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-admin-l10n,
            lxqt-qtplugin,
            lxqt-policykit
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

## lxqt-admin 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-admin)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Set default installation paths
set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")

# Minimum Versions
set(KF5_MINIMUM_VERSION "5.36.0")
set(LXQT_MINIMUM_VERSION "0.14.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(PolkitQt5-1 REQUIRED)

# Patch Version
set(LXQT_ADMIN_PATCH_VERSION 0)

set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
add_definitions(
    "-DLXQT_ADMIN_VERSION=\"${LXQT_ADMIN_VERSION}\""
    "-DQT_NO_CAST_FROM_ASCII"
    "-DQT_NO_CAST_TO_ASCII"
    "-DQT_NO_URL_CAST_FROM_STRING"
    "-DQT_NO_CAST_FROM_BYTEARRAY"
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

if(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-user")
    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-time")
else()
    add_subdirectory(lxqt-admin-user)
    add_subdirectory(lxqt-admin-time)
endif()

=== debian/changelog ===
lxqt-admin (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Removed fix-duplicated-key.patch, applied upstream
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 16:17:25 +0100

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-admin-l10n,
            lxqt-qtplugin,
            lxqt-policykit
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-admin (<< 0.11.0)
Replaces: lxqt-admin (<< 0.11.0)
Description: Language package for lxqt-admin
 This package contains the l10n files needed by the lxqt-admin.

## lxqt-admin 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -22,7 +22,7 @@
 find_package(PolkitQt5-1 REQUIRED)
 
 # Patch Version
-set(LXQT_ADMIN_PATCH_VERSION 0)
+set(LXQT_ADMIN_PATCH_VERSION 1)
 
 set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
 add_definitions(

=== lxqt-admin-time/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,10 @@
     timeadmindialog.h
     datetime.h
     timezone.h
-    timedatectl.h
+    itimedatectl.h
+    dbustimedatectl.h
+    fbsdtimedatectl.h
+
 )
 
 set ( lxqt-admin-time_SRCS
@@ -17,7 +20,9 @@
     timeadmindialog.cpp
     datetime.cpp
     timezone.cpp
-    timedatectl.cpp
+    fbsdtimedatectl.cpp
+    dbustimedatectl.cpp
+
 )
 
 set ( lxqt-admin-time_MOCS
@@ -43,16 +48,6 @@
     ${lxqt-admin-time_UIS}
     INSTALL_DIR
     "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-admin/${PROJECT_NAME}"
 )
 
 lxqt_translate_desktop(DESKTOP_FILES
@@ -78,6 +73,9 @@
     Qt5::DBus
     lxqt
 )
-
 install(TARGETS lxqt-admin-time RUNTIME DESTINATION bin)
 install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+install(PROGRAMS "lxqt-admin-time-helper.freebsd" DESTINATION bin RENAME lxqt-admin-time-helper)
+install(FILES "org.lxqt.lxqt-admin-time.policy" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+endif()

=== lxqt-admin-user/CMakeLists.txt ===
--- 
+++ 
@@ -38,16 +38,6 @@
     ${lxqt-admin-user_UIS}
     INSTALL_DIR
     "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-admin/${PROJECT_NAME}"
 )
 
 lxqt_translate_desktop(DESKTOP_FILES

=== debian/changelog ===
lxqt-admin (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Updated Build depends for liblxqt0-dev. (liblxqt0-dev (>= 0.14.1~)

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Tue, 28 Jan 2020 03:03:34 +0530

lxqt-admin (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:44:09 +0100

lxqt-admin (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:52:01 -0600

lxqt-admin (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a new lxqt-admin-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 23:59:31 -0600

lxqt-admin (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.
  * Run wrap-and-sort.
  * Add missing build dependency on libpolkit-qt5-1-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:16:59 -0500

=== debian/control ===
Source: lxqt-admin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-admin/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-admin.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-admin-l10n, lxqt-policykit, lxqt-qtplugin
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-admin (<< 0.11.0)
Replaces: lxqt-admin (<< 0.11.0)
Description: Language package for lxqt-admin
 This package contains the l10n files needed by lxqt-admin.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-admin/releases .*/lxqt-admin-([\d\.]+).tar.xz

## lxqt-admin 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
@@ -22,15 +22,11 @@
 find_package(PolkitQt5-1 REQUIRED)
 
 # Patch Version
-set(LXQT_ADMIN_PATCH_VERSION 1)
+set(LXQT_ADMIN_PATCH_VERSION 0)
 
 set(LXQT_ADMIN_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_PATCH_VERSION})
 add_definitions(
     "-DLXQT_ADMIN_VERSION=\"${LXQT_ADMIN_VERSION}\""
-    "-DQT_NO_CAST_FROM_ASCII"
-    "-DQT_NO_CAST_TO_ASCII"
-    "-DQT_NO_URL_CAST_FROM_STRING"
-    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)
@@ -38,7 +34,7 @@
 include(LXQtTranslate)
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
-    message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-user")
+    add_subdirectory(lxqt-admin-user)
     message(WARNING "${CMAKE_SYSTEM_NAME} is not supported by lxqt-admin-time")
 else()
     add_subdirectory(lxqt-admin-user)

=== debian/changelog ===
lxqt-admin (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:38:52 -0500

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-admin/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-admin.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
@@ -35,8 +35,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Breaks: lxqt-admin (<< 0.11.0)
 Replaces: lxqt-admin (<< 0.11.0)
 Description: Language package for lxqt-admin

## lxqt-admin 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-admin (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat requirement to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 22:31:25 +0530

lxqt-admin (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 16:39:02 +0800

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,

## lxqt-admin 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-admin (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Extend lxqt-admin-l10n package description
    - Add build-dep libsystemd-dev
  * Rename tag for lintian override
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 17 Aug 2021 16:08:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
+               libsystemd-dev,
                libx11-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-admin/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-admin.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
@@ -39,4 +40,6 @@
 Breaks: lxqt-admin (<< 0.11.0)
 Replaces: lxqt-admin (<< 0.11.0)
 Description: Language package for lxqt-admin
+ The l10n files for lxqt-admin.
+ .
  This package contains the l10n files needed by lxqt-admin.

## lxqt-admin 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== lxqt-admin-time/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     itimedatectl.h
     dbustimedatectl.h
     fbsdtimedatectl.h
-
+    nosdtimedatectl.h
 )
 
 set ( lxqt-admin-time_SRCS
@@ -22,7 +22,7 @@
     timezone.cpp
     fbsdtimedatectl.cpp
     dbustimedatectl.cpp
-
+    nosdtimedatectl.cpp
 )
 
 set ( lxqt-admin-time_MOCS
@@ -53,10 +53,17 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     lxqt-admin-time.desktop.in
+    USE_YAML
 )
 
 lxqt_app_translation_loader(lxqt-admin-time_QM_LOADER ${PROJECT_NAME})
 #************************************************
+
+find_package(PkgConfig QUIET)
+pkg_check_modules(LIBSYSTEMD QUIET libsystemd)
+if(NOT LIBSYSTEMD_FOUND)
+    add_definitions(-DNO_SYSTEMD)
+endif()
 
 add_executable(lxqt-admin-time
     ${lxqt-admin-time_SRCS}
@@ -78,4 +85,10 @@
 if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
 install(PROGRAMS "lxqt-admin-time-helper.freebsd" DESTINATION bin RENAME lxqt-admin-time-helper)
 install(FILES "org.lxqt.lxqt-admin-time.policy" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+else()
+if(NOT LIBSYSTEMD_FOUND)
+configure_file(org.lxqt.lxqt-admin-time.policy.nosd.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-time.policy.nosd")
+install (PROGRAMS "lxqt-admin-time-helper.nosystemd" DESTINATION bin RENAME lxqt-admin-time-helper)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.lxqt-admin-time.policy.nosd" DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}" RENAME org.lxqt.lxqt-admin-time.policy)
 endif()
+endif()

=== debian/changelog ===
lxqt-admin (1.1.0-3) unstable; urgency=medium

  * Fix Build-Depends.
  * Change Depends/Recommends indent.
  * Sort copyright.
  * Add Repository-Browse to upstream metadata.
  * Use LF in signing-key.asc.
  * Workaround d/watch for github.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 20 Nov 2022 23:04:48 +0800

lxqt-admin (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 00:56:33 +0800

lxqt-admin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - docs
    - lintian-overrides
    - lxqt-admin-l10n.install
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 12 Jul 2022 16:16:35 -0500

lxqt-admin (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed

 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200

=== debian/control ===
Source: lxqt-admin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsystemd-dev,
               libx11-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: lxqt-admin-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n,
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,filenamemangle=s/([\d\.]+)\.tar\.gz/$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/([\d\.]+)\.tar\.gz

## lxqt-admin 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-admin (1.2.0-1ubuntu1) lunar; urgency=medium

  [ ChangZhuo Chen ]
  * Add Repository-Browse to upstream metadata.

  [ Aaron Rainbolt ]
  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 20:24:28 -0600

lxqt-admin (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream version.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 22:12:20 -0600

=== debian/control ===
Source: lxqt-admin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.2.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsystemd-dev,
               libx11-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-admin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-admin-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-admin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-admin.git
Homepage: https://github.com/lxqt/lxqt-admin
Rules-Requires-Root: no

Package: lxqt-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-admin-l10n, lxqt-policykit, lxqt-qtplugin
Description: Admin tools for LXQt
 Admin tools for LXQt, as of now:
  * lxqt-admin-time
  * lxqt-admin-user
 .
 This package contain the LXQt Admin Tools.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-admin
 The l10n files for lxqt-admin.
 .
 This package contains the l10n files needed by lxqt-admin.

## lxqt-admin 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== lxqt-admin-user/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     lxqt-admin-user.desktop.in
+    USE_YAML
 )
 lxqt_app_translation_loader(lxqt-admin-user_QM_LOADER ${PROJECT_NAME})
 #************************************************

=== debian/changelog ===
lxqt-admin (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:49:20 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0),
+               liblxqt1-dev (>= 1.3.0),
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
